org.apache.jmeter.gui.action

## Class KeyStrokes

- java.lang.Object
- - org.apache.jmeter.gui.action.KeyStrokes

    public final class KeyStrokes
    extends Object

Collect all the keystrokes together in one place. This helps to ensure that there are no duplicates.

### Field Summary

Fields
`static KeyStroke` `ACTION_SHUTDOWN`
`static KeyStroke` `ACTION_START`
`static KeyStroke` `ACTION_STOP`
`static KeyStroke` `ALT_DOWN_ARROW`
`static KeyStroke` `ALT_LEFT_ARROW`
`static KeyStroke` `ALT_RIGHT_ARROW`
`static KeyStroke` `ALT_UP_ARROW`
`static KeyStroke` `CLEAR`
`static KeyStroke` `CLEAR_ALL`
`static KeyStroke` `CLOSE`
`static KeyStroke` `COLLAPSE_ALL`
`static KeyStroke` `COLLAPSE_ALL_SUBTRACT`
`static KeyStroke` `COPY`
`static KeyStroke` `CTRL_0`
`static KeyStroke` `CTRL_1`
`static KeyStroke` `CTRL_2`
`static KeyStroke` `CTRL_3`
`static KeyStroke` `CTRL_4`
`static KeyStroke` `CTRL_5`
`static KeyStroke` `CTRL_6`
`static KeyStroke` `CTRL_7`
`static KeyStroke` `CTRL_8`
`static KeyStroke` `CTRL_9`
`static KeyStroke` `CUT`
`static KeyStroke` `DEBUG_OFF`
`static KeyStroke` `DEBUG_ON`
`static KeyStroke` `DUPLICATE`
`static KeyStroke` `ENTER`
`static KeyStroke` `ESC`
`static KeyStroke` `EXIT`
`static KeyStroke` `EXPAND_ALL`
`static KeyStroke` `EXPAND_ALL_SUBTRACT`
`static KeyStroke` `FUNCTIONS`
`static KeyStroke` `HELP`
`static KeyStroke` `OPEN`
`static KeyStroke` `PASTE`
`static KeyStroke` `REMOTE_SHUT_ALL`
`static KeyStroke` `REMOTE_START_ALL`
`static KeyStroke` `REMOTE_STOP_ALL`
`static KeyStroke` `REMOVE`
`static KeyStroke` `SAVE`
`static KeyStroke` `SAVE_ALL_AS`
`static KeyStroke` `SAVE_GRAPHICS`
`static KeyStroke` `SAVE_GRAPHICS_ALL`
`static KeyStroke` `SEARCH_TREE`
`static KeyStroke` `SHIFT_LEFT_ARROW`
`static KeyStroke` `SHIFT_RIGHT_ARROW`
`static KeyStroke` `SSL_MANAGER`
`static KeyStroke` `TOGGLE`
`static KeyStroke` `WHAT_CLASS`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `matches(KeyEvent e, KeyStroke k)` Check if an event matches the KeyStroke definition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COPY

    public static final KeyStroke COPY

#### DUPLICATE

    public static final KeyStroke DUPLICATE

#### DEBUG_OFF

    public static final KeyStroke DEBUG_OFF

#### DEBUG_ON

    public static final KeyStroke DEBUG_ON

#### CLEAR_ALL

    public static final KeyStroke CLEAR_ALL

#### CLEAR

    public static final KeyStroke CLEAR

#### ESC

    public static final KeyStroke ESC

#### ENTER

    public static final KeyStroke ENTER

#### FUNCTIONS

    public static final KeyStroke FUNCTIONS

#### SAVE_GRAPHICS

    public static final KeyStroke SAVE_GRAPHICS

#### SAVE_GRAPHICS_ALL

    public static final KeyStroke SAVE_GRAPHICS_ALL

#### HELP

    public static final KeyStroke HELP

#### CLOSE

    public static final KeyStroke CLOSE

#### SSL_MANAGER

    public static final KeyStroke SSL_MANAGER

#### OPEN

    public static final KeyStroke OPEN

#### EXIT

    public static final KeyStroke EXIT

#### ACTION_START

    public static final KeyStroke ACTION_START

#### REMOTE_START_ALL

    public static final KeyStroke REMOTE_START_ALL

#### SAVE

    public static final KeyStroke SAVE

#### SAVE_ALL_AS

    public static final KeyStroke SAVE_ALL_AS

#### SEARCH_TREE

    public static final KeyStroke SEARCH_TREE

#### TOGGLE

    public static final KeyStroke TOGGLE

#### PASTE

    public static final KeyStroke PASTE

#### WHAT_CLASS

    public static final KeyStroke WHAT_CLASS

#### CUT

    public static final KeyStroke CUT

#### REMOTE_STOP_ALL

    public static final KeyStroke REMOTE_STOP_ALL

#### REMOTE_SHUT_ALL

    public static final KeyStroke REMOTE_SHUT_ALL

#### REMOVE

    public static final KeyStroke REMOVE

#### ACTION_STOP

    public static final KeyStroke ACTION_STOP

#### ACTION_SHUTDOWN

    public static final KeyStroke ACTION_SHUTDOWN

#### COLLAPSE_ALL

    public static final KeyStroke COLLAPSE_ALL

#### COLLAPSE_ALL_SUBTRACT

    public static final KeyStroke COLLAPSE_ALL_SUBTRACT

#### EXPAND_ALL

    public static final KeyStroke EXPAND_ALL

#### EXPAND_ALL_SUBTRACT

    public static final KeyStroke EXPAND_ALL_SUBTRACT

#### ALT_UP_ARROW

    public static final KeyStroke ALT_UP_ARROW

#### ALT_DOWN_ARROW

    public static final KeyStroke ALT_DOWN_ARROW

#### ALT_LEFT_ARROW

    public static final KeyStroke ALT_LEFT_ARROW

#### ALT_RIGHT_ARROW

    public static final KeyStroke ALT_RIGHT_ARROW

#### SHIFT_LEFT_ARROW

    public static final KeyStroke SHIFT_LEFT_ARROW

#### SHIFT_RIGHT_ARROW

    public static final KeyStroke SHIFT_RIGHT_ARROW

#### CTRL_0

    public static final KeyStroke CTRL_0

#### CTRL_1

    public static final KeyStroke CTRL_1

#### CTRL_2

    public static final KeyStroke CTRL_2

#### CTRL_3

    public static final KeyStroke CTRL_3

#### CTRL_4

    public static final KeyStroke CTRL_4

#### CTRL_5

    public static final KeyStroke CTRL_5

#### CTRL_6

    public static final KeyStroke CTRL_6

#### CTRL_7

    public static final KeyStroke CTRL_7

#### CTRL_8

    public static final KeyStroke CTRL_8

#### CTRL_9

    public static final KeyStroke CTRL_9

### Method Detail

#### matches

    public static boolean matches(KeyEvent e,
                                  KeyStroke k)

Check if an event matches the KeyStroke definition.

Parameters:
  `e` - event
  `k` - keystroke
Returns:
  true if event matches the keystroke definition